// ParaMED_Test.cpp : Defines the entry point for the console application.

#ifdef WIN32
#include "stdafx.h"
#endif
#define MEDFILE "C:\\medthomas.med"

#include "MEDCouplingFieldDouble.hxx"
#include "MEDLoader.hxx"

#include "MEDCouplingMemArray.hxx"

using namespace ParaMEDMEM;
using namespace std;

int main(){
	char nameMsh[]= "MAILLAGE";
  int iter=0;
  int order = 0;
  char *nameField = "TEMPERATURE";

//  double fieldVal[5]= { 10.0,20.0,30.0,40.0,50.0 };


MEDCouplingFieldDouble *f2=MEDLoader::ReadField(ON_CELLS,MEDFILE,nameMsh,0,nameField,iter,order);

ParaMEDMEM::DataArrayDouble *d2=f2->getArray();

const double *pt=d2->getConstPointer();

for(int it=0;it!=d2->getNbOfElems();it++)

    std::cout << pt[it] << std::endl;

f2->decrRef();

return 0;
}

